weka.gui.visualize

## Class VisualizeUtils.VisualizeDefaults

- java.lang.Object
- - weka.core.Defaults
  - - weka.gui.visualize.VisualizeUtils.VisualizeDefaults

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    VisualizeUtils

      public static class VisualizeUtils.VisualizeDefaults
      extends Defaults

  Defaults for the 2D scatter plot and attribute bars
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `AXIS_COLOR` Axis colour default
    `static Settings.SettingKey` | `AXIS_COLOUR_KEY` Axis colour key
    `static java.awt.Color` | `BACKGROUND_COLOR` Scatter plot background colour default
    `static Settings.SettingKey` | `BACKGROUND_COLOUR_KEY` Scatter plot background colour key
    `static java.awt.Color` | `BAR_BACKGROUND_COLOUR` Attribute bar background colour key
    `static Settings.SettingKey` | `BAR_BACKGROUND_COLOUR_KEY` Attribute bar background colour key
    `static java.lang.String` | `ID` ID for the metastore

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisualizeDefaults()` Constructor

  - ### Method Summary

    - ### Methods inherited from class weka.core.Defaults

      `add, getDefaults, getID, setID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      ID for the metastore
      See Also:
        Constant Field Values

    - #### AXIS_COLOUR_KEY

          public static final Settings.SettingKey AXIS_COLOUR_KEY

      Axis colour key

    - #### AXIS_COLOR

          public static final java.awt.Color AXIS_COLOR

      Axis colour default

    - #### BACKGROUND_COLOUR_KEY

          public static final Settings.SettingKey BACKGROUND_COLOUR_KEY

      Scatter plot background colour key

    - #### BACKGROUND_COLOR

          public static final java.awt.Color BACKGROUND_COLOR

      Scatter plot background colour default

    - #### BAR_BACKGROUND_COLOUR_KEY

          public static final Settings.SettingKey BAR_BACKGROUND_COLOUR_KEY

      Attribute bar background colour key

    - #### BAR_BACKGROUND_COLOUR

          public static final java.awt.Color BAR_BACKGROUND_COLOUR

      Attribute bar background colour key

  - ### Constructor Detail

    - #### VisualizeDefaults

          public VisualizeDefaults()

      Constructor